package com.pdaaphm.biz.domain;
import lombok.Data;
import com.pdaaphm.common.annotation.Excel;
import com.pdaaphm.common.core.domain.BaseEntity;

/**
 * 算法输入输出字段对象 t_algorithm_io_field
 *
 * @author xlk
 * @date 2023-08-17
 */
@Data
public class AlgorithmIoField extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    public static String inputCode = "1";
    public static String outputCode = "2";

    /** 编号 */
    private Long id;

    /** 算法子类型编号 */
    @Excel(name = "算法子类型编号")
    private Long algorithmSubId;

    /** 输入/输出 */
    @Excel(name = "输入/输出")
    private String type;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 排序 */
    @Excel(name = "排序")
    private Integer index;

    /** 算法子类型名称 */
    @Excel(name = "算法子类型名称")
    private String algoSubName;

    /** matlab文件独有的输入输入路径 */
    @Excel(name = "matlab文件独有的输入输入路径")
    private String matlabIoPath;
}
